Oauth callback post
curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/auth/oauth/{provider}/callback \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data code=provider-authorization-code \
--data state=stored-stateimport requests
url = "https://api.anhome.tuanle.dev/api/v1/auth/oauth/{provider}/callback"
payload = {
"code": "provider-authorization-code",
"state": "stored-state"
}
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({code: 'provider-authorization-code', state: 'stored-state'})
};
fetch('https://api.anhome.tuanle.dev/api/v1/auth/oauth/{provider}/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Authentication
Oauth callback post
Documents an AnHome API operation.
POST
https://api.anhome.tuanle.dev
/
api
/
v1
/
auth
/
oauth
/
{provider}
/
callback
Oauth callback post
Path Parameters
OAuth provider Schema for social provider.
Available options:
google, apple, zalo Body
application/x-www-form-urlencoded
JSON payload used to oauth callback post.
The body is of type any.
Response
Redirects the browser to the admin web callback with a short-lived handoff code
⌘I